### Property

# WebKit Settings:allow-universal-access-from-file-urls

since: 2.14

#### Declaration

    property allow-universal-access-from-file-urls: gboolean [ read, write, construct ]

#### Description [src]

Whether or not JavaScript running in the context of a file scheme URL should be allowed to access content from any origin. By default, when something is loaded in a `WebKitWebView` using a file scheme URL, access to the local file system and arbitrary local storage is not allowed. This setting allows you to change that behaviour, so that it would be possible to use local storage, for example.

Type: | `gboolean`
Available since: | 2.14

Setter method | `webkit_settings_set_allow_universal_access_from_file_urls()`
Getter method | `webkit_settings_get_allow_universal_access_from_file_urls()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no